package com.zjrs.ggfw.rlzysc.dto;

import org.hibernate.validator.constraints.Length;

import jakarta.validation.constraints.NotBlank;

public class JyzdAddDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;
    @NotBlank(message = "身份证信息不能为空")
    @Length(max = 18,message = "身份证信息最多只能输入18个字符或汉字")
    private String sfzxx;
    @NotBlank(message = "姓名不能为空")
    @Length(max = 25,message = "姓名最多只能输入25个字符或汉字")
    private String xm;
    private String jyzdlx;
    @Length(max = 100,message = "需要指导工种最多只能输入100个字符或汉字")
    private String xyzdgz;
    @Length(max = 10,message = "希望指导时间最多只能输入10个字符或汉字")
    private String xwzdsj;
    @NotBlank(message = "联系方式不能为空")
    @Length(max = 25,message = "联系方式最多只能输入25个字符或汉字")
    private String lxfs;
    @Length(max = 3,message = "是否反馈最多只能输入3个字符或汉字")
    private String sffk;
    @NotBlank(message = "现居住地详细地址不能为空")
    private String xjzdxxdz;
    @NotBlank(message = "现居住地行政区划不能为空")
    private String xjzdxzqh;

    public String getSffk() {
        return sffk;
    }

    public void setSffk(String sffk) {
        this.sffk = sffk;
    }

    public String getJyzdlx() {
        return jyzdlx;
    }

    public void setJyzdlx(String jyzdlx) {
        this.jyzdlx = jyzdlx;
    }

    public String getSfzxx() {
        return sfzxx;
    }

    public void setSfzxx(String sfzxx) {
        this.sfzxx = sfzxx;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getXyzdgz() {
        return xyzdgz;
    }

    public void setXyzdgz(String xyzdgz) {
        this.xyzdgz = xyzdgz;
    }

    public String getXwzdsj() {
        return xwzdsj;
    }

    public void setXwzdsj(String xwzdsj) {
        this.xwzdsj = xwzdsj;
    }

    public String getLxfs() {
        return lxfs;
    }

    public void setLxfs(String lxfs) {
        this.lxfs = lxfs;
    }

    public String getXjzdxxdz() {
        return xjzdxxdz;
    }

    public void setXjzdxxdz(String xjzdxxdz) {
        this.xjzdxxdz = xjzdxxdz;
    }

    public String getXjzdxzqh() {
        return xjzdxzqh;
    }

    public void setXjzdxzqh(String xjzdxzqh) {
        this.xjzdxzqh = xjzdxzqh;
    }
}

